<?php
/*
Plugin Name: マイナンバー提出・管理プラグイン
Plugin URI: http://lp.olivesystem.jp/plugin-mynumber
Description: WordPressでマイナンバーを提出、管理できるプラグインです
Version: 1.0
Author: OLIVESYSTEM（オリーブシステム）
Author URI: http://lp.olivesystem.jp/
*/
if(!isset($wpdb)){
	global $wpdb;
}
// 現在のプラグインバージョン
define('OSMP_VERSION','1.0');
// optionに保存する名称
define('OSMP_OPTIONS','os_mynumber_options');
define('OSMP_CSV','os_mynumber_csv'); // CSVインポート用
// テーブル名
define('OSMP_TABLE', $wpdb->prefix.'os_mynumber_data');
define('OSMP_DETAIL_TABLE', $wpdb->prefix.'os_mynumber_detail_data');
define('OSMP_IMAGE_TABLE', $wpdb->prefix.'os_mynumber_image_data');
define('OSMP_FORM_ITEM_TABLE', $wpdb->prefix.'os_mynumber_form_item_data');
define('OSMP_MANAGEMENT_TABLE', $wpdb->prefix.'os_mynumber_management_data');
define('OSMP_COMPANIES', 'no_limit');
// このファイル
define('OSMP_FILE', __FILE__);
// プラグインのディレクトリ
define('OSMP_PLUGIN_DIR', plugin_dir_path(__FILE__));
// テキストメインのPHPファイルをいれているディレクトリ
define('OSMP_PLUGIN_INCLUDE_FILES', OSMP_PLUGIN_DIR.'include_files');
// グローバル変数
$osmp_user_data = '';
$osmp_option_data = '';
$osmp_cache = '';
// 設定ファイル
include_once(OSMP_PLUGIN_DIR."cfg.php");
// 関数
include_once(OSMP_PLUGIN_DIR."class/commonClass.php");
include_once(OSMP_PLUGIN_DIR."class/cipherClass.php");
include_once(OSMP_PLUGIN_DIR."class/sqlClass.php");
include_once(OSMP_PLUGIN_DIR."class/pureClass.php"); // 他の影響を受けないclass
include_once(OSMP_PLUGIN_DIR."class/messageClass.php"); // メッセージclass
include_once(OSMP_PLUGIN_DIR."class/validationClass.php"); // バリデーションclass
include_once(OSMP_PLUGIN_DIR."class/passwordFormClass.php");
include_once(OSMP_PLUGIN_DIR."mynumberValidation.php");
include_once(OSMP_PLUGIN_DIR."mynumberPublic.php");
include_once(OSMP_PLUGIN_DIR."mynumberAdmin.php");
$mynumberPublic = new MynumberPublic();
$mynumberAdmin = new MynumberAdmin();