<?php
/*
*  画像Class
*/
class MynumberImageClass{

	/*
	*  表示処理
	*/
	// 画像表示
	public static function output_image($table=''){

		// 管理者権限のみ表示
		if(self::role_check()===TRUE){
			global $wpdb;
			$id = (isset($_REQUEST['id'])) ? $_REQUEST['id']: 0;
			$sql = "SELECT `imgdat`,`mime` FROM `".OSMP_IMAGE_TABLE."` WHERE `img_id`=%d AND `delete_flag`=%d";
			$data = $wpdb->get_results( $wpdb->prepare($sql, array($id, 0)), ARRAY_A);
			$imgdat_key = 'imgdat';
			$mime_key = 'mime';
			//
			if(isset($data[0])){
				$row = $data[0];
				$raw_data = (isset($row[$imgdat_key])) ? $row[$imgdat_key]: '';
				$mime = (isset($row[$mime_key])) ? $row[$mime_key]: 'image/png';
				header('X-Content-Type-Options: nosniff');
				header('Content-Type: '.$mime);
				echo $raw_data;
				// 上で表示されない場合は、上の3行をコメントアウトして、下記を有効にする
				//$base64 = base64_encode($raw_data);
				//echo '<img src="data:'.$mime.';base64,'.$base64.'" />';
				exit;
			}else{
				print "エラー！";
				exit;
			}
		}

	}
	// 権限チェック
	// $pass_roleの権限のみ許可する
	public static function role_check($pass_role='administrator'){

		$user = wp_get_current_user(); // ログインユーザデータ
		$roles = (isset($user->roles) && isset($user->roles[0])) ? $user->roles[0]: '';
		// 配列なら
		if(is_array($pass_role)){
			foreach($pass_role as $r){
				if($r==$roles){
					return TRUE;
					break;
				}
			}
		}else{ // 配列じゃなければ
			// 一致するなら
			if($roles==$pass_role){
				return TRUE;
			}
		}

		return FALSE;

	}
	/*
	*  投稿時の処理
	*/
	// 投稿した画像データ取得
	// wordpress側でエスケープするのでaddslashesは不要
	public static function post_imagedata($key='', $i=''){

		$array = array();
		//
		if($i===''){
			if(!empty($_FILES[$key]) && !empty($_FILES[$key]["tmp_name"])){
				// バイナリデータ
				$fp = fopen($_FILES[$key]["tmp_name"], "rb");
				$filesize = filesize($_FILES[$key]["tmp_name"]);
				$imgdat = fread($fp, $filesize);
				fclose($fp);
				$array['imgname'] = (!empty($_FILES[$key]["name"])) ? $_FILES[$key]["name"]: '';
				$array['imgfilesize'] = $filesize;
				$array['imgdat'] = $imgdat;
				$array['imagesize'] = getimagesize($_FILES[$key]["tmp_name"]);
			}
		}else{
			if(!empty($_FILES[$key]) && !empty($_FILES[$key]["tmp_name"]) && !empty($_FILES[$key]["tmp_name"][$i])){
				// バイナリデータ
				$fp = fopen($_FILES[$key]["tmp_name"][$i], "rb");
				$filesize = filesize($_FILES[$key]["tmp_name"][$i]);
				$imgdat = fread($fp, $filesize);
				fclose($fp);
				$array['imgname'] = (!empty($_FILES[$key]["name"][$i])) ? $_FILES[$key]["name"][$i]: '';
				$array['imgfilesize'] = $filesize;
				$array['imgdat'] = $imgdat;
				$array['imagesize'] = getimagesize($_FILES[$key]["tmp_name"][$i]);
			}
		}

		return $array;

	}

}