<?php
if(class_exists('MynumberAdmin')){
?>
	<div id="mynumber-plugin">
	<?php include_once(OSMP_PLUGIN_INCLUDE_FILES."/admin-head.php"); ?>
		<div class="mynumber-wrap">
			<h2>CSVインポート</h2>
			<div class="mynumber-contents">
				<h3>インポートするファイル</h3>
				<p>インポートする前に、CSVファイルが<strong>インポート設定</strong>に合致しているかご確認ください。<br />データは全て新規データになります。</p>
				<form id="mynumber-import" action="" method="POST" enctype="multipart/form-data" class="mynumber-import">
					<div class="red"><?php echo $message; ?></div>
					<label for="import_csv">CSVファイル</label>
					<input type="file" name="import_csv" id="import_csv" accept=".csv" />
					&nbsp;
					<input type="submit" name="submit" value="インポートする" class="import-submit" />
					<?php wp_nonce_field($im_action, '_wpnonce', false); echo "\n"; ?>
					<input type="hidden" name="page" value="os-mynumber-admin-csv.php" />
					<input type="hidden" name="mode" value="<?php echo esc_html($im_action); ?>" />
				</form>
				<br />
				<a name="import-option" id="import-option"></a>
				<h3>インポート設定</h3>
				<div style="margin-bottom:15px;">サンプルCSVは<a href="admin.php?page=os-mynumber-admin-csv.php&amp;mode=csv_sample_export">こちらからダウンロード</a>してください。</div>
				<form id="mynumber-import-option" action="" method="POST" class="mynumber-import">
					<div class="red"><?php echo $message2; ?></div>
					<table class="mynumber-table">
<?php
					$total = count($csv_option);
					$top_line = '<th>列数</th>';
					$middle_line = '<th>項目名</th>';
					$bottom_line = '<th>入替え</th>';
					$ln = 1;
					//
					foreach($csv_option as $t => $op){
						$type_value = (isset($op['type'])) ? $op['type']: 0;
						$name_value = (isset($op['name'])) ? $op['name']: '';
						$key_value = (isset($op['key'])) ? $op['key']: '';
						$top_line .= '<th id="row'.$ln.'">'.$ln.'列目</th>';
						$middle_line .= '<td id="name'.$ln.'">'.esc_html($name_value).'<input type="hidden" name="line[]" value="'.$t.'" /><input type="hidden" name="key['.$t.']" value="'.$key_value.'" /><input type="hidden" name="name['.$t.']" value="'.$name_value.'" /><input type="hidden" name="type['.$t.']" value="'.$type_value.'" /></td>';
						$change_select = '<option value="">選択して入替え</option>';
						//
						for($i=0; $i<$total; $i++){
							$i_plus = $i + 1;
							//
							if($i_plus!=$ln){
								$change_select .= '<option value="'.$i_plus.'">'.$i_plus.'列目と入替え</option>';
							}
						}
						// 必須項目以外は削除できるように
						if($key_value!='last_name' && $key_value!='first_name' && $key_value!='mynumber'){
							$change_select .= '<option value="xxx">この列を削除</option>';
						}
						//
						$bottom_line .= '<td id="select'.$ln.'"><select name="change_select'.$ln.'" id="change_select'.$ln.'" class="change-select">'.$change_select.'</select><input type="hidden" name="line_change_select'.$ln.'" id="line_change_select'.$ln.'" value="'.$ln.'" /><input type="hidden" name="delete_change_select'.$ln.'" id="delete_change_select'.$ln.'" value="'.esc_html($name_value).'" /></td>';
						$ln++;
					}
					//
					$tab = "\t\t\t\t\t\t";
					echo $tab."<tr id=\"top-line\">\n".$tab."\t".$top_line."\n".$tab."</tr>\n";
					echo $tab."<tr id=\"middle-line\">\n".$tab."\t".$middle_line."\n".$tab."</tr>\n";
					echo $tab."<tr id=\"bottom-line\">\n".$tab."\t".$bottom_line."\n".$tab."</tr>\n";
					$t++;
?>
					</table>
					<input type="hidden" name="t" id="t" value="<?php echo esc_html($t); ?>" />
					<input type="hidden" name="total" id="total" value="<?php echo esc_html($total); ?>" />
					<div style="margin:15px;">
						<input type="submit" name="submit" value="設定を更新" class="import-submit w100" />
						<div style="margin-left:25px;display:inline-block;">
							<label for="add">列を追加</label>
<?php
						if(!empty($itemData)){
							$input_hidden = '';
?>
							<select name="column_add" id="column-add">
								<option value="">追加する項目を選択</option>
<?php
							foreach($itemData as $item){
								$key = (isset($item['key'])) ? $item['key']: '';
								$name = (isset($item['name'])) ? $item['name']: '';
?>
								<option value="<?php echo esc_html($key); ?>"><?php echo esc_html($name); ?></option>
<?php
								$input_hidden .= '<input type="hidden" name="item_'.esc_html($key).'" id="item-'.esc_html($key).'" value="'.esc_html($name).'" />';
							}
?>
							</select>
							<?php echo $input_hidden; ?>
							<input type="button" name="column_add_button" id="column-add-button" class="import-submit" value=" 追加する " />
<?php
						}
?>
						</div>
					</div>
					<?php wp_nonce_field($op_action, '_wpnonce', false); echo "\n"; ?>
					<input type="hidden" name="page" value="os-mynumber-admin-csv.php" />
					<input type="hidden" name="mode" value="<?php echo esc_html($op_action); ?>" />
				</form>
				"追加する項目"は<a href="admin.php?page=os-mynumber-admin-form.php">提出フォームの設定</a>で増やせます。
			</div>
		</div>
	</div>
<script>
// 入替えor削除処理
function change_select(id_name){
	selected_ln = j('#'+id_name).val();
	var ln = j('#line_'+id_name).val();
	// 削除を選択なら
	if(selected_ln=='xxx'){
	var delete_name = j('#delete_'+id_name).val();
	//
		if(window.confirm('"'+delete_name+'"列を削除します。よろしいですか？')){
			j('#row'+ln).remove();
			j('#name'+ln).remove();
			j('#select'+ln).remove();
			// 合計を1コ減らす
			total = j('#total').val() - 1;
			j('#total').val(total);
		}
	}
	// 選択済なら入替え処理
	else if(selected_ln!='' && selected_ln!=0){
		before_td = j('#name'+ln).html();
		after_td = j('#name'+selected_ln).html();
		// 入替え
		j('#name'+ln).html(after_td);
		j('#name'+selected_ln).html(before_td);
	}
	// 選択位置を戻す
	j('#'+id_name).val("");
}
// 読み込み時の動作
j(document).ready(function(){
	// 入替えが選択されたとき
	j('.change-select').change( function() {
		var id_name = j(this).attr('id');
		change_select(id_name);
	});
	// 列を追加
	j('#column-add-button').click(function(){
		var key = j('#column-add').val();
		//
		if(key!=''){
			var item_name = j('#item-'+key).val();
			t = j('#t').val();
			ln = j('#total').val();
			++ln;
			top_line = j('#top-line').html();
			middle_line = j('#middle-line').html();
			bottom_line = j('#bottom-line').html();
			top_line += '<th id="row'+ln+'">'+ln+'列目</th>';
			middle_line += '<td id="name'+ln+'">'+item_name+'<input type="hidden" name="line[]" value="'+t+'" /><input type="hidden" name="key['+t+']" value="'+key+'" /><input type="hidden" name="name['+t+']" value="'+item_name+'" /><input type="hidden" name="type['+t+']" value="1" /></td>';
			bottom_line += '<td id="select'+ln+'"><small>更新後に利用可</small></td>';
			//
			j('#top-line').html(top_line);
			j('#middle-line').html(middle_line);
			j('#bottom-line').html(bottom_line);
			++t;
			j('#t').val(t);
			j('#total').val(ln);
		}
		else{
			window.confirm('追加する列を選択してください。');
		}
	});
});
</script>

<?php
}
?>