<?php
if(class_exists('MynumberAdmin')){
	$first_create_time = date_i18n("Y-m-d H:i:s");
	//
	if($oneData = MynumberSql::mynumber_young_data()){
		$first_create_time = (!empty($oneData['create_time'])) ? $oneData['create_time']: date_i18n("Y-m-d H:i:s");
	}
	//
	$create_ymd = explode('-', current(explode(' ', $first_create_time)));
	$year = (!empty($create_ymd[0])) ? $create_ymd[0]: date_i18n("Y");
?>

	<div id="mynumber-plugin">
	<?php include_once(OSMP_PLUGIN_INCLUDE_FILES."/admin-head.php"); ?>
		<div class="mynumber-wrap">
			<h2>マイナンバー一覧</h2>
			<div class="mynumber-contents">
				<form id="list-searchform" action="" method="POST">
					<fieldset>
						<legend>検索フォーム</legend>
						<div id="searchform-error"></div>
						<div class="inp-box">
							<label for="last_name">姓</label><input type="text" name="last_name" id="last_name" value="" class="inp-name" />
							<label for="first_name">名</label><input type="text" name="first_name" id="first_name" value="" class="inp-name" />
						</div>
						<div class="inp-box">
							<label for="mynumber0">マイナンバー下3桁</label>
							<div class="inp-multi-box div-inline">
								<select id="mynumber0" name="mynumber0" class="inp-join"><option value=""></option><?php for($i=0; $i<10; $i++){ ?><option value="<?php echo $i; ?>"><?php echo $i; ?></option><?php } ?></select>
								<select id="mynumber1" name="mynumber1" class="inp-join"><option value=""></option><?php for($i=0; $i<10; $i++){ ?><option value="<?php echo $i; ?>"><?php echo $i; ?></option><?php } ?></select>
								<select id="mynumber2" name="mynumber2" class="inp-join"><option value=""></option><?php for($i=0; $i<10; $i++){ ?><option value="<?php echo $i; ?>"><?php echo $i; ?></option><?php } ?></select>
							</div>
							<input type="hidden" id="mynumber3" name="mynumber3" value="" />
						</div>
						<div class="inp-box">
							<label for="create_time0">提出日</label>
							<div class="inp-multi-box div-inline">
								<select id="create_time0" name="create_time0" class="inp-join"><option value=""></option><?php echo self::year_options('2000', $year); ?></select>年
								<select id="create_time1" name="create_time1" class="inp-join"><option value=""></option><?php echo self::month_options('13'); ?></select>月
								<select id="create_time2" name="create_time2" class="inp-join"><option value=""></option><?php echo self::day_options('32'); ?></select>日
							</div>
							<input type="hidden" id="create_time" name="create_time" value="" />
						</div>
						<div id="search-detail">
<?php
					if(!empty($itemData)){
						foreach($itemData as $item){
							$item_name = (isset($item['name'])) ? $item['name']: '';
							$key = (isset($item['key'])) ? $item['key']: '';
?>
							<div class="inp-box">
								<label for="item_<?php echo esc_html($key); ?>"><?php echo esc_html($item_name); ?></label><input type="text" name="item_<?php echo esc_html($key); ?>" id="item_<?php echo esc_html($key); ?>" value="" class="inp-name" />
							</div>
<?php
						}
					}
?>
						</div>
						<div id="div-btn-submit">
							<input type="button" id="btn-submit" name="btn-submit" value="検索" />
							<span id="search_detail_open">詳細検索を開く</span>
							<span id="search_detail_close">詳細検索を閉じる</span>
						</div>
						<input type="hidden" name="mode" value="search" />
					</fieldset>
				</form>
				<p style="color:red;"><?php echo $message; ?></p>
				<div><?php if(!empty($search_message)){ echo $search_message.'を検索'; }else{ echo 'すべてのデータを検索'; } ?></div>
<?php
				if(isset($data['total']) && 0<$data['total']){
					$csv_url = self::request_url('admin.php?page=os-mynumber-list.php&amp;mode=csv_export', array('mynumber0', 'mynumber1', 'mynumber2', 'create_time0', 'create_time1', 'create_time2', 'mode', 'page'));
					$kensu = esc_html(number_format($page_data['start'])).'～'.esc_html(number_format($page_data['end']));
?>
				<div class="counter">全<?php echo esc_html(number_format($data['total'])); ?>件中の<?php echo $kensu; ?>件の表示</div>
				<div id="div-mynumber-table">
					<div class="csv_download">この結果のCSVダウンロード：全件[&nbsp;<a href="<?php echo esc_html($csv_url); ?>&amp;all=1" title="CSV形式で保存">標準CSV</a>&nbsp;|&nbsp;<a href="<?php echo esc_html($csv_url); ?>&amp;type=excel_csv&amp;all=1" title="エクセル用CSV形式で保存">ExcelCSV</a>&nbsp;]&nbsp;&nbsp;<?php echo $kensu; ?>件[&nbsp;<a href="<?php echo esc_html($csv_url); ?>" title="CSV形式で保存">標準CSV</a>&nbsp;|&nbsp;<a href="<?php echo esc_html($csv_url); ?>&amp;type=excel_csv" title="エクセル用CSV形式で保存">ExcelCSV</a>&nbsp;]</div>
					<div class="small">覗き見防止のため、マイナンバーは下3桁のみ表示していますが、クリックで表示・非表示にできます。</div>
					<table class="mynumber-table">
						<tr>
							<th class="center">ID</th><th class="center">姓名</th><th class="center">マイナンバー</th><th class="center">マイナンバー画像</th><th>身分証明画像</th>
	<?php
						if(!empty($itemData)){
							foreach($itemData as $item){
								$item_name = (isset($item['name'])) ? $item['name']: '';
	?>
							<th class="center"><?php echo esc_html($item_name); ?></th>
	<?php
							}
						}
	?>
							<th>提出日時</th>
							<th>編集</th>
						</tr>
	<?php
						foreach($data['data'] as $i => $d){
							$data_id = (isset($d['data_id'])) ? $d['data_id']: '';
							$last_name = (isset($d['last_name'])) ? $d['last_name']: '';
							$first_name = (isset($d['first_name'])) ? $d['first_name']: '';
							$mynumber = (isset($d['mynumber'])) ? $d['mynumber']: '-';
							$shimo = mb_substr($mynumber, 9, 3);
							$mynumber_img_id = (isset($d['mynumber_img_id'])) ? $d['mynumber_img_id']: 0;
							$certification_img_id = (isset($d['certification_img_id'])) ? $d['certification_img_id']: 0;
							$create_time = (isset($d['create_time'])) ? $d['create_time']: '不明';
	?>
						<tr>
							<td class="center"><?php echo esc_html($data_id); ?></td>
							<td><?php echo esc_html($last_name.$first_name); ?></td>
							<td><p id="mynumber<?php echo esc_html($i); ?>" class="p-mynumber fnt17"><span class="open">*********<?php echo $shimo; ?></span><span class="close" style="display:none;"><?php echo esc_html($mynumber); ?></span></p></td>
							<td class="center"><a href="admin.php?page=os-mynumber-list.php&amp;mode=image&amp;id=<?php echo esc_html($mynumber_img_id); ?>&amp;name=image.png" data-lity="data-lity" class="no-decoration">画像を表示</a></td>
							<td class="center"><a href="admin.php?page=os-mynumber-list.php&amp;mode=image&amp;id=<?php echo esc_html($certification_img_id); ?>&amp;name=image.png" data-lity="data-lity" class="no-decoration">画像を表示</a></td>
<?php
							foreach($itemData as $ii => $item){
							//foreach($d['detail'] as $key => $detail){
								$key = (isset($item['key'])) ? $item['key']: 'key';
								$detail = (isset($d['detail']) && isset($d['detail'][$key])) ? $d['detail'][$key]: '';
								$value_type = (isset($detail['value_type'])) ? $detail['value_type']: 0;
								//
								switch($value_type){
									case 3:
										$img_id = (isset($detail['value_img'])) ? $detail['value_img']: 0;
										$value = '<a href="admin.php?page=os-mynumber-list.php&amp;mode=image&amp;id='.$img_id.'&amp;name=image.png" data-lity="data-lity" class="no-decoration">画像を表示</a>';
										break;
									case 2:
										$value = (isset($detail['value_time'])) ? esc_html($detail['value_time']): '';
										break;
									case 1:
										$value = (isset($detail['value_int'])) ? esc_html($detail['value_int']): '';
										break;
									default:
										$value = (isset($detail['value_text'])) ? esc_html($detail['value_text']): '';
								}
?>
							<td><?php echo $value; ?></td>
<?php
							}
?>
							<td><?php echo esc_html($create_time); ?></td>
							<td><a href="admin.php?page=os-mynumber-list.php&amp;mode=write&amp;id=<?php echo esc_html($data_id); ?>">編集</a> | <a href="admin.php?page=os-mynumber-list.php&amp;mode=delete&amp;id=<?php echo esc_html($data_id); ?>">削除</a></td>
						</tr>
<?php
						}
?>
					</table>
				</div>
<?php
				}else{
?>
				<p style="color:red;">マイナンバーのデータはありません</p>
<?php
				}
?>
			</div>
		</div>
	</div>
<script>
// 読み込み時の動作
j(document).ready(function(){
	// 検索フォームの詳細検索を開く閉じる
	j('#search_detail_open').click(function(){ // 開く
		j('#search-detail').css('display', 'block');
		j('#search_detail_open').css('display', 'none');
		j('#search_detail_close').css('display', 'inline-block');
	});
	j('#search_detail_close').click(function(){ // 閉じる
		j('#search-detail').css('display', 'none');
		j('#search_detail_open').css('display', 'inline-block');
		j('#search_detail_close').css('display', 'none');
	});
	// 検索フォームsubmit処理
	j('#btn-submit').click(function(){
		var msg = '';
		error_flag = 0;
		// マイナンバー下3桁検索の処理
		mynumber0 = j('#mynumber0').val();
		mynumber1 = j('#mynumber1').val();
		mynumber2 = j('#mynumber2').val();
		// どれかに値が選択されていれば
		if(mynumber0!='' || mynumber1!='' || mynumber2!=''){
			// すべて値の選択があれば実行
			if(mynumber0!='' && mynumber1!='' && mynumber2!=''){
				j('#mynumber3').val(mynumber0+mynumber1+mynumber2);
			}
			else{ // なければエラー
				msg += '<p>マイナンバーの下3桁はすべて選択してください。</p>';
				error_flag += 1;
			}
		}
		// 投稿日検索の処理
		create_time0 = j('#create_time0').val();
		create_time1 = j('#create_time1').val();
		create_time2 = j('#create_time2').val();
		// どれかに値が選択されていれば
		if(create_time0!='' || create_time1!='' || create_time2!=''){
			// 日だけの選択は無効とする
			if((create_time0!='' && create_time1!='') || (create_time1!='' && create_time2!='')){
				j('#create_time').val(create_time0+'-'+create_time1+'-'+create_time2);
			}
			else{
				msg += '<p>提出日は年月もしくは月日を選択してください。</p>';
				error_flag += 1;
			}
		}
		// エラーがなければ検索実行（submit）
		if(error_flag==0){
			j('#list-searchform').submit();
		}
		else{ // エラー出力
			j('#searchform-error').html(msg);
		}
	});
	// マイナンバーの表示・非表示
	// クリック時、idを取得し、span要素を開く閉じる
	j('.p-mynumber').click(function(){
		var idname = j(this).attr("id");
		j('#'+idname+' .close').toggle();
		j('#'+idname+' .open').toggle();
	});
});
</script>

<?php
}
?>