<?php
if(class_exists('MynumberAdmin')){
?>

	<div id="mynumber-plugin">
	<?php include_once(OSMP_PLUGIN_INCLUDE_FILES."/admin-head.php"); ?>
		<div class="mynumber-wrap">
			<h2>プラグイン設定</h2>
			<div class="mynumber-contents">
<?php MynumberValidation::output_css($validate); ?>
				<div style="color:red;"><?php echo $message; ?><?php MynumberValidation::output_msg($validate); ?></div>
				<form action="" method="POST">
					<span style="display:none;"><!-- パスワードの自動入力を阻止 --><input type="text" value="" /><input type="password" value="" /></span>
					<table>
<?php
						$licensekey = (isset($osmp_option_data['licensekey'])) ? esc_html($osmp_option_data['licensekey']): '';
?>
						<tr>
							<th><label for="licensekey">ライセンスキー</label></th>
							<td>
								<input type="text" name="licensekey" id="licensekey" value="<?php echo $licensekey; ?>" /><br />
								<div class="fnt11">※メールでお伝えしたライセンスキーをご入力ください。</div>
							</td>
						</tr>
<?php
						$formpassword_flag = (isset($osmp_option_data['formpassword_flag'])) ? esc_html($osmp_option_data['formpassword_flag']): 0;
						$formpassword = (isset($osmp_option_data['formpassword'])) ? esc_html($osmp_option_data['formpassword']): '';
?>
						<tr>
							<th><label for="formpassword">提出フォームパスワード</label></th>
							<td>
								<div class="fnt11">マイナンバー提出フォームをパスワードで保護します。</div>
								<input type="radio" name="formpassword_flag" id="formpassword_flag0" value="0" <?php if(empty($formpassword_flag)){ echo "checked"; } ?> /><label for="formpassword_flag0">無効にする</label>
								<input type="radio" name="formpassword_flag" id="formpassword_flag1" value="1" <?php if(!empty($formpassword_flag)){ echo "checked"; } ?> /><label for="formpassword_flag1">有効にする</label>
								<div id="formpassword-opt-view">
									<?php
									if(!empty($formpassword)){
										echo "<small style=\"color:red;\">既にパスワードは設定されていますが、セキュリティの都合上、表記はしておりません。<br />変更する場合は、ご入力ください。</small><br />";
									}
									?>
									<input type="password" name="formpassword" id="formpassword" value="" /><br />
									<div class="fnt11">※6文字以上の半角英数字、記号（パーセント、スペースは除く）をご入力ください。</div>
								</div>
							</td>
						</tr>
<?php
						$ippermit = (isset($osmp_option_data['ippermit'])) ? esc_textarea($osmp_option_data['ippermit']): '';
?>
						<tr>
							<th><label for="ippermit">IPアドレス許可</label></th>
							<td>
								<div class="fnt11">入力されたIPアドレスのみ、プラグイン管理画面にアクセスできます。<br />許可するIPアドレスは1行ずつご入力ください。</div>
								<textarea name="ippermit" id="ippermit" rows="3" cols="20"><?php echo $ippermit; ?></textarea><br />
								<div class="fnt11">※許可が必要なければ、空欄にしてください。</div>
							</td>
						</tr>
<?php
						$ipblock = (isset($osmp_option_data['ipblock'])) ? esc_textarea($osmp_option_data['ipblock']): '';
?>
						<tr>
							<th><label for="ipblock">IPアドレス拒否</label></th>
							<td>
								<div class="fnt11">入力されたIPアドレスを拒否し、プラグイン管理画面にアクセスできません。<br />拒否するIPアドレスは1行ずつご入力ください。</div>
								<textarea name="ipblock" id="ipblock" rows="3" cols="20"><?php echo $ipblock; ?></textarea><br />
								<div class="fnt11">※ブロックが必要なければ、空欄にしてください。</div>
							</td>
						</tr>
<?php
						$password_flag = (isset($osmp_option_data['password_flag'])) ? esc_html($osmp_option_data['password_flag']): '';
						$password = (isset($osmp_option_data['password'])) ? esc_html($osmp_option_data['password']): '';
?>
						<tr>
							<th><label for="password">第二パスワード</label></th>
							<td>
								<div class="fnt11">第二パスワードを設定すると、マイナンバー管理プラグインは第二パスワードを入力しないとアクセスできません。</div>
								<input type="radio" name="password_flag" id="password_flag0" value="0" <?php if(empty($password_flag)){ echo "checked"; } ?> /><label for="password_flag0">無効にする</label>
								<input type="radio" name="password_flag" id="password_flag1" value="1" <?php if(!empty($password_flag)){ echo "checked"; } ?> /><label for="password_flag1">有効にする</label>
								<div id="password-opt-view">
									<?php
									if(!empty($password)){
										echo "<small style=\"color:red;\">既にパスワードは設定されていますが、セキュリティの都合上、表記はしておりません。<br />変更する場合は、ご入力ください。</small><br />";
									}
									?>
									<input type="password" name="password" id="password" value="" /><br />
									<div class="fnt11">※6文字以上の半角英数字、記号（パーセント、スペースは除く）をご入力ください。</div>
									<input type="password" name="re_password" id="re_password" value="" /><br />
									<div class="fnt11">※確認用です。再度パスワードをご入力ください。</div>
								</div>
							</td>
						</tr>
					</table>
					<?php wp_nonce_field($action, '_wpnonce', false); echo "\n"; ?>
					<input type="hidden" name="page" value="os-mynumber-admin-option.php" />
					<input type="hidden" name="mode" value="upd" />
					<div class="submit">
						<input type="submit" name="submit" value="更新する" />
					</div>
				</form>
			</div>
		</div>
	</div>
<script>
// 提出フォームパスワードの入力欄表示、非表示
function formpassword_flag(){
	if(j('input[name=formpassword_flag]:eq(0)').prop('checked')){
		j('#formpassword-opt-view').css('display', 'none');
	}
	else{
		j('#formpassword-opt-view').css('display', 'block');
	}
}
// 第二パスワードの入力欄表示、非表示
function password_flag(){
	if(j('input[name=password_flag]:eq(0)').prop('checked')){
		j('#password-opt-view').css('display', 'none');
	}
	else{
		j('#password-opt-view').css('display', 'block');
	}
}
// 読み込み時の動作
j(document).ready(function(){
	// 提出フォームパスワード入力欄
	formpassword_flag();
	//// 変更時
	j( 'input[name="formpassword_flag"]:radio' ).change( function() {
		formpassword_flag();
	});
	// 第二パスワード入力欄
	password_flag();
	//// 変更時
	j( 'input[name="password_flag"]:radio' ).change( function() {
		password_flag();
	});
});
</script>

<?php
}
?>