<?php
if(class_exists('MynumberAdmin')){
?>

	<div id="mynumber-plugin">
	<?php include_once(OSMP_PLUGIN_INCLUDE_FILES."/admin-head.php"); ?>
		<div class="mynumber-wrap">
			<h2>マイナンバーデータ編集</h2>
			<div class="mynumber-contents">
<?php
				if(isset($data['total']) && 0<$data['total']){
					$row = (isset($data['data']) && isset($data['data'][0])) ? $data['data'][0]: '';
					$data_id = (isset($row['data_id'])) ? $row['data_id']: 0;
					$last_name = (isset($row['last_name'])) ? $row['last_name']: '';
					$first_name = (isset($row['first_name'])) ? $row['first_name']: '';
					$mynumber = (isset($row['mynumber'])) ? $row['mynumber']: '';
					$mynumber_img_id = (isset($row['mynumber_img_id'])) ? $row['mynumber_img_id']: 0;
					$certification_img_id = (isset($row['certification_img_id'])) ? $row['certification_img_id']: 0;
?>
				<h3>データID<?php echo $data_id; ?>の提出データ編集</h3>
				<form id="mynumber-write" action="" method="POST" enctype="multipart/form-data">
					<div class="red"><?php echo $message; ?></div>
					<span style="display:none;"><input type="text" value="" /><input type="password" value="" /></span>
					<table>
						<tr>
							<td>
								<label for="last_name">姓</label><br>
								<input type="text" name="last_name" id="last_name" class="seimei" value="<?php echo esc_html($last_name); ?>" />
							</td>
							<td>
								<label for="first_name">名</label><br>
								<input type="text" name="first_name" id="first_name" class="seimei" value="<?php echo esc_html($first_name); ?>" />
							</td>
						</tr>
						<tr>
							<td colspan="2">
								<label for="mynumber">マイナンバー（12桁の数字）</label><br>
								<span id="span-mynumber"><input type="password" name="mynumber" id="mynumber" class="numeric input" value="<?php echo esc_html($mynumber); ?>" style="ime-mode:inactive;" /></span>
								&nbsp;
								<span id="pswd_mask_on">伏字に戻す</span><span id="pswd_mask_off">伏字を解除</span>
							</td>
						</tr>
						<tr>
							<td colspan="2">
								<label>個人番号（マイナンバー）カードの画像</label>
								<div class="mleft5">
									現在の画像:<a href="http://wptest.olivesystem.jp/wp-admin/admin.php?page=os-mynumber-list.php&amp;mode=image&amp;id=<?php echo esc_html($mynumber_img_id) ?>&amp;name=image.png" data-lity="data-lity">クリックで表示</a>
									&nbsp;
									<input type="checkbox" name="mynumber_img_checkbox" id="mynumber_img_checkbox" value="1" class="img-checkbox" /><label for="mynumber_img_checkbox" class="img-checkbox-label">画像を変更する</label>
									<div id="div-mynumber_img_checkbox" style="display:none;">
										<input type="file" name="mynumynumber_img" id="mynumber_img" accept="image/*" />
										<br /><small>&nbsp;&nbsp;画像サイズは12MB以下にすること</small>
									</div>
								</div>
								<input type="hidden" name="mynumber_img_id" value="<?php echo esc_html($mynumber_img_id); ?>" />
							</td>
						</tr>
						<tr>
							<td colspan="2">
								<label>身分証明書の画像</label>
								<div class="mleft5">
									現在の画像:<a href="http://wptest.olivesystem.jp/wp-admin/admin.php?page=os-mynumber-list.php&amp;mode=image&amp;id=<?php echo esc_html($certification_img_id) ?>&amp;name=image.png" data-lity="data-lity">クリックで表示</a>
									&nbsp;
									<input type="checkbox" name="certification_img_checkbox" id="certification_img_checkbox" value="1" class="img-checkbox" /><label for="certification_img_checkbox" class="img-checkbox-label">画像を変更する</label>
									<div id="div-certification_img_checkbox" style="display:none;">
										<input type="file" name="certification_img" id="certification_img" accept="image/*" />
										<br /><small>&nbsp;&nbsp;画像サイズは12MB以下にすること</small>
									</div>
								</div>
								<input type="hidden" name="certification_img_id" value="<?php echo esc_html($certification_img_id); ?>" />
							</td>
						</tr>
<?php
					foreach($itemData as $ii => $item){
					//foreach($row['detail'] as $key => $d){
						$key = (isset($item['key'])) ? $item['key']: 'key';
						$d = (isset($row['detail']) && isset($row['detail'][$key])) ? $row['detail'][$key]: '';
						$dd_id = (isset($d['detail_data_id'])) ? esc_html($d['detail_data_id']): 0;
						$item_id = (isset($d['item_id'])) ? esc_html($d['item_id']): $item['item_id'];
						$name = (isset($d['name'])) ? $d['name']: $item['name'];
						$value_type = (isset($d['value_type'])) ? $d['value_type']: $item['value_type'];
						//
						switch($value_type){
							case 3: // image
								$value = (isset($d['value_img'])) ? $d['value_img']: 0;
								$input = '<div class="mleft5">現在の画像:<a href="http://wptest.olivesystem.jp/wp-admin/admin.php?page=os-mynumber-list.php&amp;mode=image&amp;id='.$value.'&amp;name=image.png" data-lity="data-lity">クリックで表示</a>&nbsp;<input type="checkbox" name="item_img_checkbox'.$item_id.'" id="item_img_checkbox'.$item_id.'" value="1" class="img-checkbox" /><label for="item_img_checkbox'.$item_id.'" class="img-checkbox-label">画像を変更する</label><div id="div-item_img_checkbox'.$item_id.'" style="display:none;"><input type="file" name="item_img['.$item_id.']" id="item_img'.$item_id.'" accept="image/*" /><br /><small>&nbsp;&nbsp;画像サイズは12MB以下にすること</small></div></div>';
								$input .= '<input type="hidden" name="item['.esc_html($key).'][value_img]" value="'.esc_html($value).'" />';
								break;
							case 2: // time
								$value = (isset($d['value_time'])) ? $d['value_time']: '';
								$input = '<input type="text" id="item_'.$key.'" name="item['.esc_html($key).'][value]" value="'.esc_html($value).'" />';
								break;
							case 1: // int
								$value = (isset($d['value_int'])) ? $d['value_int']: '';
								$input = '<input type="number" id="item_'.$key.'" name="item['.esc_html($key).'][value]" value="'.esc_html($value).'" />';
								break;
							default:
								$value = (isset($d['value_text'])) ? $d['value_text']: '';
								$input = '<input type="text" id="item_'.$key.'" name="item['.esc_html($key).'][value]" value="'.esc_html($value).'" />';
						}
						//
						$input .= '<input type="hidden" name="item['.esc_html($key).'][value_type]" value="'.esc_html($value_type).'" />';
						$input .= '<input type="hidden" name="item['.esc_html($key).'][item_id]" value="'.$item_id.'" />';
						$input .= '<input type="hidden" name="item['.esc_html($key).'][detail_id]" value="'.$dd_id.'" />';
?>
						<tr>
							<td colspan="2">
								<label for="item_<?php echo esc_html($key); ?>"><?php echo esc_html($name); ?></label><br>
								<?php echo $input; ?>
							</td>
						</tr>
<?php
					}
?>
					<tr>
						<td colspan="2">
							<input type="submit" name="submit" value="更新する" class="wr-submit" />
						</td>
					</tr>
					</table>
					<?php wp_nonce_field($wr_action, '_wpnonce', false); echo "\n"; ?>
					<input type="hidden" name="page" value="os-mynumber-list.php" />
					<input type="hidden" name="mode" value="write" />
					<input type="hidden" name="data_id" value="<?php echo esc_html($data_id); ?>" />
				</form>
<?php
				}else{
?>
				<p style="color:red;">指定のマイナンバーデータがありません</p>
<?php
				}
?>
			</div>
		</div>
	</div>
<script>
// パスワードマスク有効
function pswd_mask_on(){
	input_val = j('#mynumber').val();
	var input_html = '<input type="password" name="mynumber" id="mynumber" class="numeric input" value="'+input_val+'" style="ime-mode:inactive;" />';
	j('#span-mynumber').html(input_html);
}
// パスワードマスク無効
function pswd_mask_off(){
	input_val = j('#mynumber').val();
	var input_html = '<input type="numeric" name="mynumber" id="mynumber" class="numeric input" value="'+input_val+'" style="ime-mode:inactive;" />';
	j('#span-mynumber').html(input_html);
}
// 読み込み時の動作
j(document).ready(function(){
	// 数字だけを許可
	jQuery(".numeric").numeric();
	// パスワードマスクを無効にする
	j('#pswd_mask_off').click(function(){
		pswd_mask_off();
		j('#pswd_mask_on').css('display', 'inline-block');
		j('#pswd_mask_off').css('display', 'none');
	});
	// パスワードマスクを有効にする
	j('#pswd_mask_on').click(function(){
		pswd_mask_on();
		j('#pswd_mask_on').css('display', 'none');
		j('#pswd_mask_off').css('display', 'inline-block');
	});
	// 画像アップロードフォーム表示・非表示
	j('.img-checkbox').click(function(){
		id_name = j(this).attr('id');
		//
		j('#div-'+id_name).toggle();
	});
});
</script>

<?php
}
?>